Index: kernel/content/pendinglist.php
===================================================================
--- kernel/content/pendinglist.php	(revision 24945)
+++ kernel/content/pendinglist.php	(working copy)
@@ -31,7 +31,7 @@
 /*! \file
 */
 
-require_once( 'kernel/common/template.php' );
+
 $Module = $Params['Module'];
 $http = eZHTTPTool::instance();
 
@@ -42,7 +42,7 @@
 $userID = $user->id();
 
 
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 $tpl->setVariable('view_parameters', $viewParameters );
 
 $Result = array();
Index: kernel/content/relation_edit.php
===================================================================
--- kernel/content/relation_edit.php	(revision 24945)
+++ kernel/content/relation_edit.php	(working copy)
@@ -26,7 +26,7 @@
 // ## END COPYRIGHT, LICENSE AND WARRANTY NOTICE ##
 //
 
-require_once( 'kernel/common/template.php' );
+
 
 function checkRelationAssignments( $module, $class, $object, $version, $contentObjectAttributes, $editVersion, $editLanguage, $fromLanguage, &$validation )
 {
Index: kernel/content/removeassignment.php
===================================================================
--- kernel/content/removeassignment.php	(revision 24945)
+++ kernel/content/removeassignment.php	(working copy)
@@ -27,7 +27,7 @@
 // ## END COPYRIGHT, LICENSE AND WARRANTY NOTICE ##
 //
 
-require_once( "kernel/common/template.php" );
+
 
 $module = $Params['Module'];
 $http   = eZHTTPTool::instance();
@@ -132,7 +132,7 @@
                          'remove_list'    => $removeList );
 $info = array( 'can_remove_all' => $canRemoveAll );
 
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 $tpl->setVariable( 'assignment_data', $assignmentData );
 $tpl->setVariable( 'remove_info', $info );
 
Index: kernel/content/removeeditversion.php
===================================================================
--- kernel/content/removeeditversion.php	(revision 24945)
+++ kernel/content/removeeditversion.php	(working copy)
@@ -117,8 +117,8 @@
 
 $Module->setTitle( "Remove Editing Version" );
 
-require_once( "kernel/common/template.php" );
-$tpl = templateInit();
+
+$tpl = eZTemplate::instanceInit();
 $tpl->setVariable( "Module", $Module );
 $tpl->setVariable( "object_id", $objectID );
 $tpl->setVariable( "object_version", $version );
Index: kernel/content/removenode.php
===================================================================
--- kernel/content/removenode.php	(revision 24945)
+++ kernel/content/removenode.php	(working copy)
@@ -29,11 +29,11 @@
 /*! \file
 */
 
-require_once( 'kernel/common/template.php' );
+
 
 $http = eZHTTPTool::instance();
 
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 $Module = $Params['Module'];
 $ObjectID = $Params['ObjectID'];
Index: kernel/content/removeobject.php
===================================================================
--- kernel/content/removeobject.php	(revision 24945)
+++ kernel/content/removeobject.php	(working copy)
@@ -27,7 +27,7 @@
 // ## END COPYRIGHT, LICENSE AND WARRANTY NOTICE ##
 //
 
-require_once( "kernel/common/template.php" );
+
 
 $Module = $Params['Module'];
 
@@ -217,7 +217,7 @@
     }
 }
 
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 $tpl->setVariable( 'reverse_related'        , $info['reverse_related_count'] );
 $tpl->setVariable( 'module'                 , $Module );
Index: kernel/content/restore.php
===================================================================
--- kernel/content/restore.php	(revision 24945)
+++ kernel/content/restore.php	(working copy)
@@ -27,7 +27,7 @@
 //
 
 
-require_once( 'kernel/common/template.php' );
+
 
 $objectID = $Params['ObjectID'];
 $module = $Params['Module'];
@@ -229,7 +229,7 @@
     return;
 }
 
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 $res = eZTemplateDesignResource::instance();
 
Index: kernel/content/reverserelatedlist.php
===================================================================
--- kernel/content/reverserelatedlist.php	(revision 24945)
+++ kernel/content/reverserelatedlist.php	(working copy)
@@ -26,7 +26,7 @@
 // ## END COPYRIGHT, LICENSE AND WARRANTY NOTICE ##
 //
 
-require_once( "kernel/common/template.php" );
+
 $http = eZHTTPTool::instance();
 
 $Module = $Params['Module'];
@@ -149,7 +149,7 @@
 $contentObjectName = $contentObjectTreeNode->attribute('name');
 $viewParameters = array( 'offset' => $Offset );
 
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 $tpl->setVariable( 'children_list', $childrenList );
 $tpl->setVariable( 'view_parameters', $viewParameters );
Index: kernel/content/search.php
===================================================================
--- kernel/content/search.php	(revision 24945)
+++ kernel/content/search.php	(working copy)
@@ -26,7 +26,7 @@
 // ## END COPYRIGHT, LICENSE AND WARRANTY NOTICE ##
 //
 
-require_once( "kernel/common/template.php" );
+
 
 /*!
  Get search limit
@@ -62,7 +62,7 @@
     $Offset = 0;
 
 $searchPageLimit = 2;
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 $ini = eZINI::instance();
 $useSearchCode = $ini->variable( 'SearchSettings', 'SearchViewHandling' ) == 'default';
 $logSearchStats = $ini->variable( 'SearchSettings', 'LogSearchStats' ) == 'enabled';
Index: kernel/content/tipafriend.php
===================================================================
--- kernel/content/tipafriend.php	(revision 24945)
+++ kernel/content/tipafriend.php	(working copy)
@@ -26,14 +26,14 @@
 // ## END COPYRIGHT, LICENSE AND WARRANTY NOTICE ##
 //
 
-require_once( "kernel/common/template.php" );
+
 
 $http = eZHTTPTool::instance();
 
 $NodeID = (int)$Params['NodeID'];
 $Module = $Params['Module'];
 
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 $tpl->setVariable( 'action', '' );
 
 $error_strings = array();
@@ -151,7 +151,7 @@
         $overrideKeysAreSet = true;
 
         // fetch text from mail template
-        $mailtpl = templateInit();
+        $mailtpl = eZTemplate::instanceInit();
         $mailtpl->setVariable( 'hostname', $hostName );
         $mailtpl->setVariable( 'nodename', $nodeName );
         $mailtpl->setVariable( 'node_id', $NodeID );
Index: kernel/content/translation.php
===================================================================
--- kernel/content/translation.php	(revision 24945)
+++ kernel/content/translation.php	(working copy)
@@ -170,9 +170,9 @@
         return $module->redirectToView( 'view', array( $viewMode, $nodeID, $languageCode ) );
     }
 
-    require_once( "kernel/common/template.php" );
+    
 
-    $tpl = templateInit();
+    $tpl = eZTemplate::instanceInit();
 
     $tpl->setVariable( 'object_id', $objectID );
     $tpl->setVariable( 'object', $object );
Index: kernel/content/translations.php
===================================================================
--- kernel/content/translations.php	(revision 24945)
+++ kernel/content/translations.php	(working copy)
@@ -31,8 +31,8 @@
 /*! \file
 */
 
-require_once( 'kernel/common/template.php' );
-$tpl = templateInit();
+
+$tpl = eZTemplate::instanceInit();
 $http = eZHTTPTool::instance();
 $Module = $Params['Module'];
 
Index: kernel/content/trash.php
===================================================================
--- kernel/content/trash.php	(revision 24945)
+++ kernel/content/trash.php	(working copy)
@@ -31,7 +31,7 @@
 /*! \file
 */
 
-require_once( 'kernel/common/template.php' );
+
 $Module = $Params['Module'];
 $Offset = $Params['Offset'];
 if ( isset( $Params['UserParameters'] ) )
@@ -116,7 +116,7 @@
     }
 }
 
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 $tpl->setVariable( 'view_parameters', $viewParameters );
 
 $Result = array();
Index: kernel/content/upload.php
===================================================================
--- kernel/content/upload.php	(revision 24945)
+++ kernel/content/upload.php	(working copy)
@@ -26,9 +26,9 @@
 // ## END COPYRIGHT, LICENSE AND WARRANTY NOTICE ##
 //
 
-require_once( 'kernel/common/template.php' );
 
-$tpl = templateInit();
+
+$tpl = eZTemplate::instanceInit();
 $http = eZHTTPTool::instance();
 $module = $Params['Module'];
 
Index: kernel/content/urlalias.php
===================================================================
--- kernel/content/urlalias.php	(revision 24945)
+++ kernel/content/urlalias.php	(working copy)
@@ -28,7 +28,7 @@
 
 /*! \file
 */
-require_once( 'kernel/common/template.php' );
+
 $Module = $Params['Module'];
 $http = eZHTTPTool::instance();
 
@@ -38,7 +38,7 @@
 
 eZSSLZone::checkNodeID( 'content', 'urlalias', $NodeID );
 
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 $limit = 20;
 
 $node = eZContentObjectTreeNode::fetch( $NodeID );
Index: kernel/content/urlalias_global.php
===================================================================
--- kernel/content/urlalias_global.php	(revision 24945)
+++ kernel/content/urlalias_global.php	(working copy)
@@ -28,14 +28,14 @@
 
 /*! \file
 */
-require_once( 'kernel/common/template.php' );
+
 $Module = $Params['Module'];
 $http = eZHTTPTool::instance();
 
 $Offset = $Params['Offset'];
 $viewParameters = array( 'offset' => $Offset );
 
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 $limit = 20;
 
 // TODO: For PHP 5, merge similar code in urlalias.php and urlalias_global.php into a function/class.
Index: kernel/content/urlalias_wildcard.php
===================================================================
--- kernel/content/urlalias_wildcard.php	(revision 24945)
+++ kernel/content/urlalias_wildcard.php	(working copy)
@@ -28,7 +28,7 @@
 
 /*! \file
 */
-require_once( 'kernel/common/template.php' );
+
 
 $Module =& $Params['Module'];
 $http = eZHTTPTool::instance();
@@ -39,7 +39,7 @@
     $Offset = $Module->actionParameter( 'Offset' );
 }
 
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 $limit = 20;
 
 $infoCode = 'no-errors'; // This will be modified if info/warning is given to user.
Index: kernel/content/versions.php
===================================================================
--- kernel/content/versions.php	(revision 24945)
+++ kernel/content/versions.php	(working copy)
@@ -26,9 +26,9 @@
 // ## END COPYRIGHT, LICENSE AND WARRANTY NOTICE ##
 //
 
-require_once( 'kernel/common/template.php' );
 
-$tpl = templateInit();
+
+$tpl = eZTemplate::instanceInit();
 $http = eZHTTPTool::instance();
 
 $ObjectID = $Params['ObjectID'];
Index: kernel/content/versionview.php
===================================================================
--- kernel/content/versionview.php	(revision 24945)
+++ kernel/content/versionview.php	(working copy)
@@ -46,8 +46,8 @@
     return $Module->redirectTo( $userRedirectURI );
 }
 
-require_once( 'kernel/common/template.php' );
-$tpl = templateInit();
+
+$tpl = eZTemplate::instanceInit();
 // Will be sent from the content/edit page and should be kept
 // incase the user decides to continue editing.
 $FromLanguage = $Params['FromLanguage'];
Index: kernel/content/versionviewframe.php
===================================================================
--- kernel/content/versionviewframe.php	(revision 24945)
+++ kernel/content/versionviewframe.php	(working copy)
@@ -87,8 +87,8 @@
     $conflictingVersions = $versionObject->hasConflicts( $LanguageCode );
     if ( $conflictingVersions )
     {
-        require_once( 'kernel/common/template.php' );
-        $tpl = templateInit();
+        
+        $tpl = eZTemplate::instanceInit();
 
         $res = eZTemplateDesignResource::instance();
         $res->setKeys( array( array( 'object', $contentObject->attribute( 'id' ) ),
Index: kernel/content/view.php
===================================================================
--- kernel/content/view.php	(revision 24945)
+++ kernel/content/view.php	(working copy)
@@ -26,11 +26,11 @@
 // ## END COPYRIGHT, LICENSE AND WARRANTY NOTICE ##
 //
 
-require_once( 'kernel/common/template.php' );
+
 
 $http = eZHTTPTool::instance();
 
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 $ViewMode = $Params['ViewMode'];
 $NodeID = $Params['NodeID'];
Index: kernel/error/view.php
===================================================================
--- kernel/error/view.php	(revision 24945)
+++ kernel/error/view.php	(working copy)
@@ -26,9 +26,9 @@
 // ## END COPYRIGHT, LICENSE AND WARRANTY NOTICE ##
 //
 
-require_once( "kernel/common/template.php" );
 
-$tpl = templateInit();
+
+$tpl = eZTemplate::instanceInit();
 
 $module = $Params['Module'];
 $errorType = $Params['Type'];
Index: kernel/ezinfo/about.php
===================================================================
--- kernel/ezinfo/about.php	(revision 24945)
+++ kernel/ezinfo/about.php	(working copy)
@@ -29,7 +29,7 @@
 define( 'EZ_ABOUT_CONTRIBUTORS_DIR', 'var/storage/contributors' );
 define( 'EZ_ABOUT_THIRDPARTY_SOFTWARE_FILE', 'var/storage/third_party_software.php' );
 
-require_once( 'kernel/common/template.php' );
+
 /*!
   Returns list of contributors;
   Searches all php files in \a $pathToDir and tries to fetch contributor's info
@@ -165,7 +165,7 @@
                                                 'eZ publish' => '<a href="http://ez.no/ezpublish">eZ Publish</a>' ),
                                          array( $whatIsEzPublish, $license, $contributors, $thirdPartySoftware, $extensions ) );
 
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 $tpl->setVariable( 'ezinfo', $ezinfo );
 $tpl->setVariable( 'what_is_ez_publish', $whatIsEzPublish );
 $tpl->setVariable( 'license', $license );
Index: kernel/infocollector/collectionlist.php
===================================================================
--- kernel/infocollector/collectionlist.php	(revision 24945)
+++ kernel/infocollector/collectionlist.php	(working copy)
@@ -26,7 +26,7 @@
 // ## END COPYRIGHT, LICENSE AND WARRANTY NOTICE ##
 //
 
-require_once( 'kernel/common/template.php' );
+
 $http = eZHTTPTool::instance();
 $module = $Params['Module'];
 $objectID = $Params['ObjectID'];
@@ -46,7 +46,7 @@
 
     $collections = count( $collectionIDArray );
 
-    $tpl = templateInit();
+    $tpl = eZTemplate::instanceInit();
     $tpl->setVariable( 'module', $module );
     $tpl->setVariable( 'collections', $collections );
     $tpl->setVariable( 'object_id', $objectID );
@@ -112,7 +112,7 @@
 $viewParameters = array( 'offset' => $offset );
 $objectName = $object->attribute( 'name' );
 
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 $tpl->setVariable( 'module', $module );
 $tpl->setVariable( 'limit', $limit );
 $tpl->setVariable( 'view_parameters', $viewParameters );
Index: kernel/infocollector/overview.php
===================================================================
--- kernel/infocollector/overview.php	(revision 24945)
+++ kernel/infocollector/overview.php	(working copy)
@@ -26,7 +26,7 @@
 // ## END COPYRIGHT, LICENSE AND WARRANTY NOTICE ##
 //
 
-require_once( 'kernel/common/template.php' );
+
 $http = eZHTTPTool::instance();
 $module = $Params['Module'];
 $offset = $Params['Offset'];
@@ -49,7 +49,7 @@
         $collections += eZInformationCollection::fetchCollectionCountForObject( $objectID );
     }
 
-    $tpl = templateInit();
+    $tpl = eZTemplate::instanceInit();
     $tpl->setVariable( 'module', $module );
     $tpl->setVariable( 'collections', $collections );
     $tpl->setVariable( 'remove_type', 'objects' );
@@ -150,7 +150,7 @@
 
 $viewParameters = array( 'offset' => $offset );
 
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 $tpl->setVariable( 'module', $module );
 $tpl->setVariable( 'limit', $limit );
 $tpl->setVariable( 'view_parameters', $viewParameters );
Index: kernel/infocollector/view.php
===================================================================
--- kernel/infocollector/view.php	(revision 24945)
+++ kernel/infocollector/view.php	(working copy)
@@ -26,7 +26,7 @@
 // ## END COPYRIGHT, LICENSE AND WARRANTY NOTICE ##
 //
 
-require_once( 'kernel/common/template.php' );
+
 
 $http = eZHTTPTool::instance();
 $Module = $Params['Module'];
@@ -55,7 +55,7 @@
 $objectID   = $collection->attribute( 'contentobject_id' );
 $objectName = $object->attribute( 'name' );
 
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 $tpl->setVariable( 'module', $Module );
 $tpl->setVariable( 'collection', $collection );
 
Index: kernel/notification/addtonotification.php
===================================================================
--- kernel/notification/addtonotification.php	(revision 24945)
+++ kernel/notification/addtonotification.php	(working copy)
@@ -30,7 +30,7 @@
 
 /*! \file
 */
-require_once( 'kernel/common/template.php' );
+
 $module = $Params['Module'];
 $http = eZHTTPTool::instance();
 
@@ -69,7 +69,7 @@
     return;
 }
 
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 if ( $http->hasSessionVariable( "LastAccessesURI" ) )
     $tpl->setVariable( 'redirect_url', $http->sessionVariable( "LastAccessesURI" ) );
 //else
Index: kernel/notification/runfilter.php
===================================================================
--- kernel/notification/runfilter.php	(revision 24945)
+++ kernel/notification/runfilter.php	(working copy)
@@ -28,12 +28,12 @@
 
 /*! \file
 */
-require_once( 'kernel/common/template.php' );
+
 
 $http = eZHTTPTool::instance();
 $Module = $Params['Module'];
 
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 $tpl->setVariable( 'filter_proccessed', false );
 $tpl->setVariable( 'time_event_created', false );
Index: kernel/notification/settings.php
===================================================================
--- kernel/notification/settings.php	(revision 24945)
+++ kernel/notification/settings.php	(working copy)
@@ -31,7 +31,7 @@
 /*! \file
 */
 
-require_once( 'kernel/common/template.php' );
+
 $http = eZHTTPTool::instance();
 
 $Module = $Params['Module'];
@@ -60,7 +60,7 @@
 
 $viewParameters = array( 'offset' => $Params['Offset'] );
 
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 $tpl->setVariable( 'user', $user );
 $tpl->setVariable( 'view_parameters', $viewParameters );
 
Index: kernel/package/create.php
===================================================================
--- kernel/package/create.php	(revision 24945)
+++ kernel/package/create.php	(working copy)
@@ -26,7 +26,7 @@
 // ## END COPYRIGHT, LICENSE AND WARRANTY NOTICE ##
 //
 
-require_once( 'kernel/common/template.php' );
+
 $module = $Params['Module'];
 
 $http = eZHTTPTool::instance();
@@ -65,7 +65,7 @@
     }
 }
 
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 $templateName = 'design:package/create.tpl';
 if ( $creator )
Index: kernel/package/install.php
===================================================================
--- kernel/package/install.php	(revision 24945)
+++ kernel/package/install.php	(working copy)
@@ -26,7 +26,7 @@
 // ## END COPYRIGHT, LICENSE AND WARRANTY NOTICE ##
 //
 
-require_once( 'kernel/common/template.php' );
+
 $http = eZHTTPTool::instance();
 
 $module = $Params['Module'];
@@ -61,7 +61,7 @@
 
 $installItemArray = $package->installItemsList( false, eZSys::osType() );
 
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 if ( $module->isCurrentAction( 'SkipPackage' ) )
 {
Index: kernel/package/list.php
===================================================================
--- kernel/package/list.php	(revision 24945)
+++ kernel/package/list.php	(working copy)
@@ -26,7 +26,7 @@
 // ## END COPYRIGHT, LICENSE AND WARRANTY NOTICE ##
 //
 
-require_once( "kernel/common/template.php" );
+
 $module = $Params['Module'];
 $offset = (int)$Params['Offset'];
 
@@ -77,7 +77,7 @@
     return $module->redirectToView( 'create' );
 }
 
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 $viewParameters = array( 'offset' => $offset );
 
Index: kernel/package/uninstall.php
===================================================================
--- kernel/package/uninstall.php	(revision 24945)
+++ kernel/package/uninstall.php	(working copy)
@@ -26,7 +26,7 @@
 // ## END COPYRIGHT, LICENSE AND WARRANTY NOTICE ##
 //
 
-require_once( "kernel/common/template.php" );
+
 $http = eZHTTPTool::instance();
 
 $module = $Params['Module'];
@@ -61,7 +61,7 @@
     return $module->redirectToView( 'view', array( 'full', $package->attribute( 'name' ) ) );
 }
 
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 // Get all uninstall items and reverse array
 $uninstallItems = array_reverse( $package->installItemsList( false, false, false, false ) );
Index: kernel/package/upload.php
===================================================================
--- kernel/package/upload.php	(revision 24945)
+++ kernel/package/upload.php	(working copy)
@@ -26,7 +26,7 @@
 // ## END COPYRIGHT, LICENSE AND WARRANTY NOTICE ##
 //
 
-require_once( "kernel/common/template.php" );
+
 $module = $Params['Module'];
 
 if ( !eZPackage::canUsePolicyFunction( 'import' ) )
@@ -87,7 +87,7 @@
     return;
 }
 
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 $tpl->setVariable( 'package', $package );
 $tpl->setVariable( 'error_list', $errorList );
Index: kernel/package/view.php
===================================================================
--- kernel/package/view.php	(revision 24945)
+++ kernel/package/view.php	(working copy)
@@ -26,7 +26,7 @@
 // ## END COPYRIGHT, LICENSE AND WARRANTY NOTICE ##
 //
 
-require_once( "kernel/common/template.php" );
+
 $module = $Params['Module'];
 $viewMode = $Params['ViewMode'];
 $packageName = $Params['PackageName'];
@@ -57,7 +57,7 @@
 
 $repositoryInformation = $package->currentRepositoryInformation();
 
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 $tpl->setVariable( 'package_name', $packageName );
 $tpl->setVariable( 'repository_id', $repositoryID );
Index: kernel/pdf/edit.php
===================================================================
--- kernel/pdf/edit.php	(revision 24945)
+++ kernel/pdf/edit.php	(working copy)
@@ -28,7 +28,7 @@
 // ## END COPYRIGHT, LICENSE AND WARRANTY NOTICE ##
 //
 
-require_once( 'kernel/common/template.php' );
+
 $Module = $Params['Module'];
 $http = eZHTTPTool::instance();
 
@@ -57,7 +57,7 @@
         {
             // TODO: In 3.6
             // // locked editing
-            // $tpl = templateInit();
+            // $tpl = eZTemplate::instanceInit();
             // $tpl->setVariable ...
             // $Result = array();
             // $Result['content'] = $tpl->fetch( 'design:pdf/edit_denied.tpl' );
@@ -172,7 +172,7 @@
     return $Module->redirect( 'pdf', 'list' );
 }
 
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 $tpl->setVariable( 'set_warning', $setWarning );
 
@@ -211,7 +211,7 @@
     {
         $object = $node->attribute( 'object' );
 
-        $tpl = templateInit();
+        $tpl = eZTemplate::instanceInit();
 
         $tpl->setVariable( 'node', $node );
         $tpl->setVariable( 'generate_toc', 1 );
Index: kernel/pdf/list.php
===================================================================
--- kernel/pdf/list.php	(revision 24945)
+++ kernel/pdf/list.php	(working copy)
@@ -30,7 +30,7 @@
 
 $Module = $Params['Module'];
 
-require_once( 'kernel/common/template.php' );
+
 // Create new PDF Export
 if ( $Module->isCurrentAction( 'NewExport' ) )
 {
@@ -64,7 +64,7 @@
     $exportList[$export->attribute( 'id' )] = $export;
 }
 
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 $tpl->setVariable( 'pdfexport_list', $exportList );
 
Index: kernel/role/assign.php
===================================================================
--- kernel/role/assign.php	(revision 24945)
+++ kernel/role/assign.php	(working copy)
@@ -103,9 +103,9 @@
 
         case 'section':
         {
-            require_once( 'kernel/common/template.php' );
+            
             $sectionArray = eZSection::fetchList( );
-            $tpl = templateInit();
+            $tpl = eZTemplate::instanceInit();
             $tpl->setVariable( 'section_array', $sectionArray );
             $tpl->setVariable( 'role_id', $roleID );
             $tpl->setVariable( 'limit_ident', $limitIdent );
Index: kernel/role/edit.php
===================================================================
--- kernel/role/edit.php	(revision 24945)
+++ kernel/role/edit.php	(working copy)
@@ -29,9 +29,9 @@
 /*! \file
 */
 
-require_once( 'kernel/common/template.php' );
 
-$tpl = templateInit();
+
+$tpl = eZTemplate::instanceInit();
 $Module = $Params['Module'];
 $roleID = $Params['RoleID'];
 
Index: kernel/role/list.php
===================================================================
--- kernel/role/list.php	(revision 24945)
+++ kernel/role/list.php	(working copy)
@@ -26,7 +26,7 @@
 // ## END COPYRIGHT, LICENSE AND WARRANTY NOTICE ##
 //
 
-require_once( 'kernel/common/template.php' );
+
 $http = eZHTTPTool::instance();
 
 
@@ -92,7 +92,7 @@
 }
 
 $viewParameters = array( 'offset' => $offset );
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 $roles = eZRole::fetchByOffset( $offset, $limit, $asObject = true, $ignoreTemp = true );
 $roleCount = eZRole::roleCount();
Index: kernel/role/policyedit.php
===================================================================
--- kernel/role/policyedit.php	(revision 24945)
+++ kernel/role/policyedit.php	(working copy)
@@ -32,7 +32,7 @@
 */
 
 
-require_once( "kernel/common/template.php" );
+
 $Module = $Params['Module'];
 $policyID = $Params["PolicyID"];
 
@@ -357,7 +357,7 @@
 }
 
 $Module->setTitle( "Edit policy" );
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 $tpl->setVariable( "Module", $Module );
 $tpl->setVariable( "current_function", $currentFunction );
 $tpl->setVariable( "role_id", $roleID );
Index: kernel/role/view.php
===================================================================
--- kernel/role/view.php	(revision 24945)
+++ kernel/role/view.php	(working copy)
@@ -29,7 +29,7 @@
 /*! \file
 */
 
-require_once( 'kernel/common/template.php' );
+
 
 $http = eZHTTPTool::instance();
 $Module = $Params['Module'];
@@ -117,7 +117,7 @@
     $db->commit();
 }
 
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 $userArray = $role->fetchUserByRole();
 
Index: kernel/rss/edit_export.php
===================================================================
--- kernel/rss/edit_export.php	(revision 24945)
+++ kernel/rss/edit_export.php	(working copy)
@@ -30,7 +30,7 @@
 
 $Module = $Params['Module'];
 
-require_once( 'kernel/common/template.php' );
+
 $http = eZHTTPTool::instance();
 
 $valid = true;
@@ -142,7 +142,7 @@
              $rssExport->attribute( 'modified' ) + $timeOut > time() )
         {
             // locked editing
-            $tpl = templateInit();
+            $tpl = eZTemplate::instanceInit();
 
             $tpl->setVariable( 'rss_export', $rssExport );
             $tpl->setVariable( 'rss_export_id', $rssExportID );
@@ -233,7 +233,7 @@
     $db->commit();
 }
 
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 $config = eZINI::instance( 'site.ini' );
 
 $rssVersionArray = $config->variable( 'RSSSettings', 'AvailableVersionList' );
Index: kernel/rss/edit_import.php
===================================================================
--- kernel/rss/edit_import.php	(revision 24945)
+++ kernel/rss/edit_import.php	(working copy)
@@ -30,7 +30,7 @@
 
 $Module = $Params['Module'];
 
-require_once( "kernel/common/template.php" );
+
 $http = eZHTTPTool::instance();
 
 //Get RSSImport id if it is accessable
@@ -147,7 +147,7 @@
     }
 }
 
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 // Get classes and class attributes
 $classArray = eZContentClass::fetchList();
@@ -228,7 +228,7 @@
          $rssImport->attribute( 'modified' ) + $timeOut > time() )
     {
         // locked editing
-        $tpl = templateInit();
+        $tpl = eZTemplate::instanceInit();
 
         $tpl->setVariable( 'rss_import', $rssImport );
         $tpl->setVariable( 'rss_import_id', $rssImportID );
Index: kernel/rss/list.php
===================================================================
--- kernel/rss/list.php	(revision 24945)
+++ kernel/rss/list.php	(working copy)
@@ -30,7 +30,7 @@
 
 $Module = $Params['Module'];
 
-require_once( "kernel/common/template.php" );
+
 $http = eZHTTPTool::instance();
 
 if ( $http->hasPostVariable( 'NewExportButton' ) )
@@ -93,7 +93,7 @@
     $importList[$import->attribute( 'id' )] = $import;
 }
 
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 $tpl->setVariable( 'rssexport_list', $exportList );
 $tpl->setVariable( 'rssimport_list', $importList );
Index: kernel/search/stats.php
===================================================================
--- kernel/search/stats.php	(revision 24945)
+++ kernel/search/stats.php	(working copy)
@@ -26,7 +26,7 @@
 // ## END COPYRIGHT, LICENSE AND WARRANTY NOTICE ##
 //
 
-require_once( "kernel/common/template.php" );
+
 if ( eZPreferences::value( 'admin_search_stats_limit' ) )
 {
     switch ( eZPreferences::value( 'admin_search_stats_limit' ) )
@@ -56,7 +56,7 @@
 }
 
 $viewParameters = array( 'offset' => $offset, 'limit'  => $limit );
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 $db = eZDB::instance();
 $query = "SELECT count(*) as count FROM ezsearch_search_phrase";
Index: kernel/section/assign.php
===================================================================
--- kernel/section/assign.php	(revision 24945)
+++ kernel/section/assign.php	(working copy)
@@ -93,8 +93,8 @@
                     }
                     if ( count( $deniedNodeIDList ) > 0 )
                     {
-                        require_once( 'kernel/common/template.php' );
-                        $tpl = templateInit();
+                        
+                        $tpl = eZTemplate::instanceInit();
                         $tpl->setVariable( 'section_name', $section->attribute( 'name' ) );
                         $tpl->setVariable( 'error_number', 1 );
                         $deniedNodes = eZContentObjectTreeNode::fetch( $deniedNodeIDList );
@@ -132,8 +132,8 @@
                 }
                 else
                 {
-                    require_once( 'kernel/common/template.php' );
-                    $tpl = templateInit();
+                    
+                    $tpl = eZTemplate::instanceInit();
                     $tpl->setVariable( 'section_name', $section->attribute( 'name' ) );
                     $tpl->setVariable( 'error_number', 2 );
                     $Result = array();
@@ -148,8 +148,8 @@
         }
         else
         {
-            require_once( 'kernel/common/template.php' );
-            $tpl = templateInit();
+            
+            $tpl = eZTemplate::instanceInit();
             $tpl->setVariable( 'section_name', $section->attribute( 'name' ) );
             $tpl->setVariable( 'error_number', 3 );
             $Result = array();
Index: kernel/section/edit.php
===================================================================
--- kernel/section/edit.php	(revision 24945)
+++ kernel/section/edit.php	(working copy)
@@ -26,7 +26,7 @@
 // ## END COPYRIGHT, LICENSE AND WARRANTY NOTICE ##
 //
 
-require_once( "kernel/common/template.php" );
+
 
 $http = eZHTTPTool::instance();
 $SectionID = $Params["SectionID"];
@@ -68,7 +68,7 @@
     $Module->redirectTo( $Module->functionURI( 'list' ) );
 }
 
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 $tpl->setVariable( "section", $section );
 
Index: kernel/section/list.php
===================================================================
--- kernel/section/list.php	(revision 24945)
+++ kernel/section/list.php	(working copy)
@@ -26,10 +26,10 @@
 // ## END COPYRIGHT, LICENSE AND WARRANTY NOTICE ##
 //
 
-require_once( 'kernel/common/template.php' );
+
 $http = eZHTTPTool::instance();
 $Module = $Params['Module'];
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 $tpl->setVariable( 'module', $Module );
 
 $offset = $Params['Offset'];
